:root{
    --background: #1c1c1c;
    --h-color: orangered;
    --section-color: #111;
    --text-color: #8591c8;
    --h-color-2: #4f65ca;
    --a-color: #cc33cc;
    --a-color-hover: #fa3efa;
    --news-color: #8591c8;
    --news-border-color: #4f65ca;
}
.ligth{
    --background: #5e8178;
    --h-color: orange;
    --section-color: #c7c7c7;
    --text-color: #1c1c1c;
    --a-color: #ddcedd;
    --h-color-2: blue;
    --news-color: blue;
    --news-border-color: #994fca;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "comfortaa", 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

html{
    background-color: var(--background);
    scroll-behavior: smooth;
}

::-webkit-scrollbar{
    background-color: #383838;
    width: 5px;
    height: 10px;
    border-radius: 10px;
}
::-webkit-scrollbar-thumb{
    background-color: #4f65ca;
    border-radius: 5px;
}

#mode{
    width: 35px;
}

/*HTML elements*/
h1, h2{
    color: var(--h-color);
    text-align: center;
}
h3{
    color: var(--h-color-2);
}
h3{
    font-size: 1.5rem;
}
section, aside{
    background-color: var(--section-color);
    padding: 15px;
    margin: 10px 0;
    border-radius: 2px;
    line-height: 1.25rem;
    text-align: justify;
    overflow: hidden;
    box-shadow: 0 3px 7px var(--news-border-color);
}

footer{
    position: sticky;
    bottom: 0px;
    background-color: var(--section-color);
    display: flex;
    padding: 2px;
    border-radius: 5px;
    align-items: center;
    justify-content: space-around;
}

p{
    color: var(--text-color);
    margin: 10px 0;
}

ul, ol{
    list-style-position: inside;
    margin: 5px;
    padding: 8px;
    border-radius: 8px;
    background-color: var(--background);
    color: var(--text-color);
}

li{
    padding: inherit;
}

button{
    font-family: "comfortaa";
    background-color: #2bbeea;
    border: none;
    padding: 8px 12px;
    border-radius: 8px;
    color: #1c1c1c;
}

button:hover{
    background-color: #2beaccdf;
    color: black;
}
button:active{
    background-color: inherit;
    color: #0084ff;
}

a{
    text-decoration: none;
    color: var(--a-color);
}
a:hover, .navLink:hover> a{
    color: var(--a-color-hover);
}

.aButton, .a-button{
    display: block;
    margin-left: 10%;
    margin-right: 10%;
    background-color: #383838;
    padding: 8px 12px;
    border-radius: 12px;
    text-align: center;
}
.aButton:hover, .a-button:hover{
    background-color: #2c2c2c;
    border: solid 2px var(--h-color-2);
    padding: 6px 10px;
}

form{
    width: 90%;
    margin: 5px;
    padding: 8px;
    border-radius: 8px;
}

label{
    color: #111111;
    font-weight: 900;
}

button, input {
    margin: 5px;
}

input{
    background-color: var(--background);
    border: solid 2px #2c2c2c;
    border-radius: 8px;
    padding: 8px;
    align-self: center;
    color: var(--text-color)
}

input::-webkit-input-placeholder{
    color: var(--h-color);
}

input:focus{
    border: 2px solid #474747;
    outline: none;
}

fieldset{
    border: none;
}

hr{
    margin: 10px;
    border-color: var(--news-border-color);
    box-shadow: 0 5px 10px var(--news-border-color);
}

/*Header*/
header{
    position: sticky;
    top: 0;
    z-index: 9;
    display: flex;
    background-color: #383838c2;
    justify-content: space-evenly;
    align-items: center;
    gap: 10px;
    padding: 2px;
    border-radius: 5px;
}

#programmind{
    height: 60px;
    width: 180px;
    cursor: pointer;
}

header> h1{
    font-size: 1.3rem;
    color: #2bbeea;
    text-shadow: purple 5px 2px;
    background-color: #1c1c1c;
    padding: 5px 8px;
    border-radius: 10px;
}

.menu{
    display: none;
    font-size: 1.2rem;
    background-color: transparent;
    color: var(--news-color);
    border: none;
    padding: 5px;
}

.menu:hover{
    color: var(--news-color);
}

.navList{
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5;
    margin: 0;
}

.nav-link{
    padding: 5px;
    color: var(--a-color);
    cursor: pointer;
}

.nav-link:hover{
    color: var(--a-color-hover);
    background-color: var(--section-color);
    border-radius: 5px;
    padding: 5px;
}

.hidden{
    display: none;
    opacity: 0;
    visibility: hidden;
    width: 0 !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
}

.visible{
    display: block;
    position: absolute;
    visibility: visible;
    opacity: 1;
    border: solid 2px #2f2f2f;
    border-top: none;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}
ul.visible{
    background-color: var(--background);
}

.socialMediaImg{
    display: inline;
    width: 30px;
    height: 30px;
    background-color: #444444;
    padding: 5px;
    border-radius: 25%;
}
.socialMediaImg:hover{
    border: solid 2px #909dd8;
}

li.noStyle{
    list-style: none;
}

/*main page*/
.centered{
    text-align: center;
}

.orange{
    color: orangered
}

.divided{
    display: grid;
    grid-template-columns: 1fr;
    padding: 5px;
}
.divided>div{
    display: grid;
    align-content: center;
    justify-content: center;
    justify-items: center;
    padding: 15px;
    background-color: #50505060;
    border-radius: 5px;
}
.divided div .aButton{
    margin: 10px;
}

.gallery{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: space-around;
    padding: 8px;
    margin-top: 12px;
    background-color: #50505060;
}
.gallery img{
    height: 70px;
    background-color: #2f2f2f;
    padding: 2px;
    border-radius: 10px;
}

/*Update notes*/
.updateNotes{
    color: var(--h-color-2);
}

/*future Changes*/
.futureChanges{
    color: var(--news-color);
    border-bottom: 2px solid var(--news-border-color);
    margin-left: 8%;
    text-align: left;
}

/*About pages*/
.recaps{
    margin: 10px 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
.recap{
    background-color: var(--background);
    margin: 5px;
    padding: 8px;
    border-radius: 8px;
}

#profilePic{
    width: 30%;
    max-width: 150px;
    min-width: 100px;
    border-radius: 25%;
    float: left;
    margin: 5px;
    margin-bottom: 0px;
    aspect-ratio: 1;
}

#profileResume{
    padding: 15px;
    border-radius: 15px;
    border: solid 2px #4f65ca;
    box-shadow: none;
    background-color: #1c1c1c;
}
#profileResume h1{
    color: var(--h-color-2);
    line-height: 30px;
}
#profileResume p{
    color: #8591c8;
    padding: 8px;
}
#socialMediaNav{
    display: flex;
    flex-wrap: wrap;
    margin: -5px 0;
    padding: 0;
    justify-content: space-evenly;
}
.grid{
    display: grid;
    grid-template-columns: minmax(8rem, 30%) 1fr;
    column-gap: 5px;
    align-items: start;
}

.grid div{
    background-color: var(--background);
    border-radius: 5px;
    padding: 5px;
}
.verdana, h1{
    font-family: Verdana, Tahoma;
}

/*blog´s and proyectos´s elements, .post at the end*/
.post{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width: 25vw;
    height: 25vw;
    min-width: 125px;
    min-height: 125px;
    overflow: hidden;
    border-radius: 10px;
    border: solid 2px #2f2f2f;
    text-align: center;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}
.post:hover{
    border: 2px solid #2bbeeadf;
}

.post > h3{
    color: var(--h-color);
    font-size: 120%;
}

.post >p{
    text-align: left;
    color: purple;
}

.post:hover p{
    color: #2563eb;
}

.post p{
    background-color: #1c1c1cd7;
    padding: 5px;
}

.post:hover p, .post:hover h3{
    background-color: #1c1c1cbd;
}

.moreContent{
    display: block;
    margin: 0 auto;
    padding: 5px 8px;
    position: relative;
    font-size: 150%;
    text-align: center;
    color: purple;
    rotate: 90deg;
    background-color: #1c1c1c;
    border-radius: 15px;
    width: 45px;
    height: 75px;
    bottom: 45px;
    border: solid 2px #4f65ca;
}
.moreContent:hover{
    background-color: #2f2f2f;
    color: purple;
    border-color: #0084ff;
}

.withText{
    float: left;
    margin-right: 5px;
}

.postDiv{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 10px;
    background-color: var(--background);
    padding: 10px;
    border-radius: 10px;
    margin: 5px;
}

/*Elements from the page práctica*/
.programQuestions{
    border: none;
    padding: 10px 0;
}

.programmingLanguage{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    background-color: #1c1c1c;
    margin: 5px auto;
    padding: 15px;
    border-radius: 15px;
    width: 75%;
}

.programmingLanguage  img{
    width: 35px;
    border-radius: 15%;
    margin: auto 0;
}

.questContainer{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: var(--section-color);
    padding: 15px;
    gap: 10px;
}

.codeQuestion{
    display: flex;
    flex-direction: column;
    background-color: var(--background);
    padding: 10px;
    border-radius: 10px;
    color: var(--text-color);
    align-items: center;
    width: 30%;
    min-width: 250px;
}

.codeQuestion h3{
    color: var(--h-color);
}

.programmingConcepts{
    background-color: #2563eb;
    accent-color: #2563eb;
    color: var(--section-color);
}

label{
    color: var(--text-color);
}

label{
    color: var(--text-color);
}
.javascript{
    background-color: yellow;
    accent-color: #111;
    color: #111;
}

button.javascript{
    background-color: #111;
    color: yellow;
}
button.javascript:hover{
    background-color: yellow;
    color: #111;
}
button.javascript:active{
    color: #ffc400;
}

/*ELements from blogPost*/
.subtitle{
    color: var(--h-color-2);
    text-decoration: underline;
    text-decoration-color: orangered;
    text-align: left;
    background-color: var(--background);
    padding: 8px;
    padding-left: 15px;
    border-radius: 15px;
}

.question{
    color: var(--h-color);
    background-color: var(--background);
    margin: 5px;
    padding: 3px 5px;
    border-radius: 8px;
}

.twitter-tweet{
    margin: 0 auto;
    background-color: var(--background);
    padding: 10px;
    border-radius: 10px;
}
.twitter-tweet:hover{
    background-color: var(--section-color);
    border: solid 5px var(--background);
    padding: 8px;
}

/*Elements from proyectos*/
#playConsole{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 5%;
}
#playConsole>.header{
    grid-column-start: 1;
    grid-column-end: 4;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-content: space-between;
    align-items: center;
    gap: 2%;
}
.chronometer{
    display: flex;
    flex-wrap: wrap;
    border-radius: 15px;
    justify-content: space-evenly;
    row-gap: 10px;
}
.buttonsConsole{
    display: flex;
    justify-content: space-around;
}

.time{
    background-color: var(--background);
    border-radius: 15px;
}

.time h2{
    border: solid 2px;
    border-radius: 15px 15px 0 0;
    color: #2beaccdf;
    padding: 15px;
}

#min, #sec, #msc{
    padding-top: 8px;
    border: solid 2px #383838;
    border-top: none;
    border-radius: 0 0 15px 15px;
}

#grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    height: 50vh;
}

#turn{
    text-align: center;
}

.square{
    font-size: 200%;
    color: #c00000;
    height: calc(50vh/ 3.5);
}
.square:hover{
    color: #f00;
}

#settings{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
#settings h2{
    grid-column: 1/3;
    margin-bottom: 0.5rem;
}

#grid7x7, #controls{
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 5px;
    margin: 5px;
}
#grid7x7{
    border: solid 2px var(--h-color);
    padding: 5px;
    border-radius: 5px;
}

#grid7x7 p{
    text-align: center;
    border: solid 1px var(--news-color);
    border-radius: 20px;
    margin: 0;
    font-size: 1.3rem;
    color: var(--a-color);
}

.flex{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
}

.grid-gallery{
    display: grid;
    grid-template-columns: repeat(3, 33%);
    justify-items: space-evenly;
} 
.grid-gallery> proyect *{
    font-size: 100%;
}
.grid-gallery > h2, hr{
    grid-column: 1/4;
    color: purple;
}

.grid #inputs-container{
    grid-row: 1/ 3;
    grid-column: 2;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(3, 30%);
    gap: 5px;
    justify-content: center;
}
#inputs-container> input{
    margin: 5px;
    width: 100%;
}

.proyect{
    background-color: var(--background);
    padding: 5px;
    border-radius: 5px;
    margin: 20px 10px;
}

.proyect h2{
    padding: 5px;
    text-align: left;
}

.GitHubLink, .github-link{
    margin: 0;
    padding: 5px 10px;
    background-color: var(--section-color);
    border-radius: 20px;
    border: solid 2px var(--news-border-color);
    color: #cc33cc;
    text-align: center;
    font-size: 80%;
}
.github-link:hover, .GitHubLink:hover{
    border-color: var(--text-color);
}

/*Media Query for mobile devices*/
@media (max-width: 500px){
    header{
        align-items: center;
        justify-content: space-between;
        padding: 0 5px;
    }

    #programmind{
        margin-right: 25%;
    }

    #programmindHidden{
        left: 45%;
    }

    #navbar{
        opacity: 0;
        visibility: hidden;
        flex-direction: column;
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        background-color: #191919;
        padding: 5px;
        width: 50%;
        box-shadow: 0 0 0 100vmax #0000007c;
    }

    #navbar.visible{
        visibility: visible;
        opacity: 1;
        border: none;
    }

    .navList{
        flex-direction: column;
        align-items: start;
    }

    .navLink:hover{
        background-color: #383838;
    }

    .menu{
        display: inline;
    }

    .menu:hover{
        background-color: #383838;
        border-radius: 5px;
    }

    #open:hover{
        background-color: #191919;
    }

    .menu:active{
        background-color: black;
        color: #909dd8;
    }
    .post{
        width: 180px;
        width: 180px;
    }
    .grid-gallery{
        display: block;
    }
}
